Microsoft Dynamics Get Record By ID Note
curl --request POST \
--url 'https://actionkit.useparagon.com/projects/{project_id}/tools/#MICROSOFT_DYNAMICS_GET_RECORD_BY_ID_NOTE' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"tool": "MICROSOFT_DYNAMICS_GET_RECORD_BY_ID_NOTE",
"parameters": {
"entityId": "<string>"
}
}
'import requests
url = "https://actionkit.useparagon.com/projects/{project_id}/tools/#MICROSOFT_DYNAMICS_GET_RECORD_BY_ID_NOTE"
payload = {
"tool": "MICROSOFT_DYNAMICS_GET_RECORD_BY_ID_NOTE",
"parameters": { "entityId": "<string>" }
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
tool: 'MICROSOFT_DYNAMICS_GET_RECORD_BY_ID_NOTE',
parameters: {entityId: '<string>'}
})
};
fetch('https://actionkit.useparagon.com/projects/{project_id}/tools/#MICROSOFT_DYNAMICS_GET_RECORD_BY_ID_NOTE', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://actionkit.useparagon.com/projects/{project_id}/tools/#MICROSOFT_DYNAMICS_GET_RECORD_BY_ID_NOTE",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'tool' => 'MICROSOFT_DYNAMICS_GET_RECORD_BY_ID_NOTE',
'parameters' => [
'entityId' => '<string>'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://actionkit.useparagon.com/projects/{project_id}/tools/#MICROSOFT_DYNAMICS_GET_RECORD_BY_ID_NOTE"
payload := strings.NewReader("{\n \"tool\": \"MICROSOFT_DYNAMICS_GET_RECORD_BY_ID_NOTE\",\n \"parameters\": {\n \"entityId\": \"<string>\"\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://actionkit.useparagon.com/projects/{project_id}/tools/#MICROSOFT_DYNAMICS_GET_RECORD_BY_ID_NOTE")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"tool\": \"MICROSOFT_DYNAMICS_GET_RECORD_BY_ID_NOTE\",\n \"parameters\": {\n \"entityId\": \"<string>\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://actionkit.useparagon.com/projects/{project_id}/tools/#MICROSOFT_DYNAMICS_GET_RECORD_BY_ID_NOTE")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"tool\": \"MICROSOFT_DYNAMICS_GET_RECORD_BY_ID_NOTE\",\n \"parameters\": {\n \"entityId\": \"<string>\"\n }\n}"
response = http.request(request)
puts response.read_body{
"@odata.context": "https://example.crm.dynamics.com/api/data/v9.0/$metadata#annotations/$entity",
"@odata.etag": "W/\"36693472\"",
"filesize": 0,
"modifiedon": "2026-10-16T06:19:51Z",
"_owninguser_value": "746951b2-9038-43b3-ac28-16366bf692e3",
"isautonomouslycreated": false,
"notetext": "Docs example note",
"isdocument": false,
"versionnumber": 36693472,
"subject": "Docs Example Note",
"_modifiedby_value": "746951b2-9038-43b3-ac28-16366bf692e3",
"createdon": "2026-10-16T06:19:51Z",
"_owningbusinessunit_value": "a0b74d6c-90de-4c4f-a0e0-bf1888180f2d",
"annotationid": "f90478f0-e3e3-44cc-a88a-1a137180a494",
"_createdby_value": "746951b2-9038-43b3-ac28-16366bf692e3",
"_ownerid_value": "746951b2-9038-43b3-ac28-16366bf692e3"
}Tools
Microsoft Dynamics Get Record By ID Note
POST
/
projects
/
{project_id}
/
tools
/
#MICROSOFT_DYNAMICS_GET_RECORD_BY_ID_NOTE
Microsoft Dynamics Get Record By ID Note
curl --request POST \
--url 'https://actionkit.useparagon.com/projects/{project_id}/tools/#MICROSOFT_DYNAMICS_GET_RECORD_BY_ID_NOTE' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"tool": "MICROSOFT_DYNAMICS_GET_RECORD_BY_ID_NOTE",
"parameters": {
"entityId": "<string>"
}
}
'import requests
url = "https://actionkit.useparagon.com/projects/{project_id}/tools/#MICROSOFT_DYNAMICS_GET_RECORD_BY_ID_NOTE"
payload = {
"tool": "MICROSOFT_DYNAMICS_GET_RECORD_BY_ID_NOTE",
"parameters": { "entityId": "<string>" }
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
tool: 'MICROSOFT_DYNAMICS_GET_RECORD_BY_ID_NOTE',
parameters: {entityId: '<string>'}
})
};
fetch('https://actionkit.useparagon.com/projects/{project_id}/tools/#MICROSOFT_DYNAMICS_GET_RECORD_BY_ID_NOTE', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://actionkit.useparagon.com/projects/{project_id}/tools/#MICROSOFT_DYNAMICS_GET_RECORD_BY_ID_NOTE",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'tool' => 'MICROSOFT_DYNAMICS_GET_RECORD_BY_ID_NOTE',
'parameters' => [
'entityId' => '<string>'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://actionkit.useparagon.com/projects/{project_id}/tools/#MICROSOFT_DYNAMICS_GET_RECORD_BY_ID_NOTE"
payload := strings.NewReader("{\n \"tool\": \"MICROSOFT_DYNAMICS_GET_RECORD_BY_ID_NOTE\",\n \"parameters\": {\n \"entityId\": \"<string>\"\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://actionkit.useparagon.com/projects/{project_id}/tools/#MICROSOFT_DYNAMICS_GET_RECORD_BY_ID_NOTE")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"tool\": \"MICROSOFT_DYNAMICS_GET_RECORD_BY_ID_NOTE\",\n \"parameters\": {\n \"entityId\": \"<string>\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://actionkit.useparagon.com/projects/{project_id}/tools/#MICROSOFT_DYNAMICS_GET_RECORD_BY_ID_NOTE")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"tool\": \"MICROSOFT_DYNAMICS_GET_RECORD_BY_ID_NOTE\",\n \"parameters\": {\n \"entityId\": \"<string>\"\n }\n}"
response = http.request(request)
puts response.read_body{
"@odata.context": "https://example.crm.dynamics.com/api/data/v9.0/$metadata#annotations/$entity",
"@odata.etag": "W/\"36693472\"",
"filesize": 0,
"modifiedon": "2026-10-16T06:19:51Z",
"_owninguser_value": "746951b2-9038-43b3-ac28-16366bf692e3",
"isautonomouslycreated": false,
"notetext": "Docs example note",
"isdocument": false,
"versionnumber": 36693472,
"subject": "Docs Example Note",
"_modifiedby_value": "746951b2-9038-43b3-ac28-16366bf692e3",
"createdon": "2026-10-16T06:19:51Z",
"_owningbusinessunit_value": "a0b74d6c-90de-4c4f-a0e0-bf1888180f2d",
"annotationid": "f90478f0-e3e3-44cc-a88a-1a137180a494",
"_createdby_value": "746951b2-9038-43b3-ac28-16366bf692e3",
"_ownerid_value": "746951b2-9038-43b3-ac28-16366bf692e3"
}Provider API: Microsoft Dataverse Web API (v9.0).
Authorizations
Your Paragon User Token (JWT), which you can generate using your project's signing keys.
Path Parameters
Body
application/json
Response
200 - application/json
The Dataverse record as returned by GET /api/data/v9.0/<table>(<id>). The fields depend on the table and the connected environment. Fields with a null value are omitted from the example.